/*
 * Copyright (c) 2008-present Sonatype, Inc.
 *
 * All rights reserved. Includes the third-party code listed at http://links.sonatype.com/products/nexus/pro/attributions
 * Sonatype and Sonatype Nexus are trademarks of Sonatype, Inc. Apache Maven is a trademark of the Apache Foundation.
 * M2Eclipse is a trademark of the Eclipse Foundation. All other trademarks are the property of their respective owners.
 */
/*global NX,Ext,Sonatype,Nexus*/
/**
 * @since 2.14.17
 */
NX.define('Sonatype.repoServer.LdapSystemPasswordWindow', {
  extend : 'Ext.Window',
  constructor : function(cfg) {
    var config = cfg || {};
    Ext.apply(this, config, {});

    Sonatype.repoServer.LdapSystemPasswordWindow.superclass.constructor.call(this, {
      title : 'LDAP Server system password',
      closable : true,
      autoWidth : false,
      width : 350,
      autoHeight : true,
      modal : true,
      constrain : true,
      resizable : false,
      draggable : false,
      items : [
        {
          xtype : 'form',
          labelWidth : 110,
          frame : true,
          monitorValid : true,
          items : [
            {
              xtype : 'textfield',
              inputType : 'password',
              fieldLabel : 'Password',
              helpText : 'The password to bind with.',
              anchor : Sonatype.view.FIELD_OFFSET,
              name : 'password',
              allowBlank : false,
              itemCls : 'required-field'
            }
          ],
          buttons : [
            {
              text : 'OK',
              formBind : true,
              scope : this,
              handler : function() {
                var pass = this.find('name', 'password')[0].getValue();
                this.connectionConfigTab.find('name', 'connectionInfo.systemPassword')[0].setValue(pass);
                this.close();
                if (this.okHandler) {
                  this.okHandler.call(this.okHandlerScope);
                }
              }
            },
            {
              text : 'Cancel',
              formBind : false,
              scope : this,
              handler : function() {
                this.cancelHandler();
              }
            }
          ]
        }
      ]
    });
  },

  cancelHandler : function() {
    this.close();
  }
});
